"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const vite_plugin_cssjs_1 = __importDefault(require("../plugins/vite-plugin-cssjs"));
const config = {
    mode: 'production',
    configFile: false,
    build: {
        target: 'modules',
        outDir: 'es',
        emptyOutDir: false,
        minify: false,
        brotliSize: false,
        rollupOptions: {
            external: /scss$/,
            input: {
                'index': 'src/style/index.ts'
            },
            output: [
                {
                    format: 'es',
                    dir: 'es/style',
                    entryFileNames: '[name].js',
                },
                {
                    format: 'commonjs',
                    dir: 'lib/style',
                    entryFileNames: '[name].js',
                },
            ],
        },
        // 开启lib模式，但不使用下面配置
        lib: {
            entry: '',
            formats: ['es', 'cjs'],
        },
    },
    plugins: [(0, vite_plugin_cssjs_1.default)()],
};
exports.default = config;
