"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const isProcessChildPath = (path) => {
    return path.startsWith(process.cwd());
};
function externalPlugin() {
    return {
        name: 'vite:external-node_modules',
        enforce: 'pre',
        resolveId(source, importer) {
            return __awaiter(this, void 0, void 0, function* () {
                const result = yield this.resolve(source, importer, {
                    skipSelf: true,
                    custom: { 'node-resolve': {} },
                });
                if (result && /node_modules/.test(result.id)) {
                    return false;
                }
                // 怎么忽略 monorepos
                // 1. 根据package.json 中的依赖项来判断，(添加到缓存，减少多次读取package.json)
                // 2. 判断文件是link
                // 3. 根据某种规则 比如 process.cwd() 这个路径不在项目的根路径下
                // 目前采用第三中方案
                if (result && !isProcessChildPath(result.id)) {
                    return false;
                }
                return null;
            });
        },
    };
}
exports.default = externalPlugin;
